Subject: Re: [RFC] net: store port/representative id in metadata_dst

From: Jiri Benc <[email-masked]>
Date: Fri, 23 Sep 2016 11:06:09 +0200

On Fri, 23 Sep 2016 08:34:29 +0200, Jiri Pirko wrote:
> So if I understand that correctly, this would need some "shared netdev"
> which would effectively serve only as a sink for all port netdevices to
> tx packets to. On RX, this would be completely avoided. This lower
> device looks like half zombie to me.

Looks more like a quarter zombie. Even tx would not be allowed unless
going through one of the ports, as all skbs without
METADATA_HW_PORT_MUX metadata_dst would be dropped. But it would be
possible to attach qdisc to the "lower" netdevice and it would actually
have an effect. On rx this netdevice would be ignored completely. This
is very weird behavior.

> I don't like it :( I wonder if the
> solution would not be possible without this lower netdev.

I agree. This approach doesn't sound correct. The skbs should not be
requeued.

 Jiri